Package org.apache.sling.feature.cpconverter.repoinit

## Class NoOpVisitor

- java.lang.Object
- - org.apache.sling.feature.cpconverter.repoinit.NoOpVisitor

All Implemented Interfaces:
  `org.apache.sling.repoinit.parser.operations.OperationVisitor`

    public abstract class NoOpVisitor
    extends Object
    implements org.apache.sling.repoinit.parser.operations.OperationVisitor

### Constructor Summary

Constructors
`NoOpVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitAddGroupMembers​(org.apache.sling.repoinit.parser.operations.AddGroupMembers addGroupMembers)`
`void` `visitAddMixins​(org.apache.sling.repoinit.parser.operations.AddMixins s)`
`void` `visitCreateGroup​(org.apache.sling.repoinit.parser.operations.CreateGroup createGroup)`
`void` `visitCreatePath​(org.apache.sling.repoinit.parser.operations.CreatePath createPath)`
`void` `visitCreateServiceUser​(org.apache.sling.repoinit.parser.operations.CreateServiceUser createServiceUser)`
`void` `visitCreateUser​(org.apache.sling.repoinit.parser.operations.CreateUser createUser)`
`void` `visitDeleteAclPaths​(org.apache.sling.repoinit.parser.operations.DeleteAclPaths s)`
`void` `visitDeleteAclPrincipalBased​(org.apache.sling.repoinit.parser.operations.DeleteAclPrincipalBased s)`
`void` `visitDeleteAclPrincipals​(org.apache.sling.repoinit.parser.operations.DeleteAclPrincipals s)`
`void` `visitDeleteGroup​(org.apache.sling.repoinit.parser.operations.DeleteGroup deleteGroup)`
`void` `visitDeleteServiceUser​(org.apache.sling.repoinit.parser.operations.DeleteServiceUser deleteServiceUser)`
`void` `visitDeleteUser​(org.apache.sling.repoinit.parser.operations.DeleteUser deleteUser)`
`void` `visitDisableServiceUser​(org.apache.sling.repoinit.parser.operations.DisableServiceUser disableServiceUser)`
`void` `visitEnsureAclPrincipalBased​(org.apache.sling.repoinit.parser.operations.EnsureAclPrincipalBased ensureAclPrincipalBased)`
`void` `visitEnsureNodes​(org.apache.sling.repoinit.parser.operations.EnsureNodes en)`
`void` `visitRegisterNamespace​(org.apache.sling.repoinit.parser.operations.RegisterNamespace registerNamespace)`
`void` `visitRegisterNodetypes​(org.apache.sling.repoinit.parser.operations.RegisterNodetypes registerNodetypes)`
`void` `visitRegisterPrivilege​(org.apache.sling.repoinit.parser.operations.RegisterPrivilege registerPrivilege)`
`void` `visitRemoveAcePaths​(org.apache.sling.repoinit.parser.operations.RemoveAcePaths s)`
`void` `visitRemoveAcePrincipal​(org.apache.sling.repoinit.parser.operations.RemoveAcePrincipals s)`
`void` `visitRemoveAcePrincipalBased​(org.apache.sling.repoinit.parser.operations.RemoveAcePrincipalBased s)`
`void` `visitRemoveGroupMembers​(org.apache.sling.repoinit.parser.operations.RemoveGroupMembers removeGroupMembers)`
`void` `visitRemoveMixins​(org.apache.sling.repoinit.parser.operations.RemoveMixins s)`
`void` `visitSetAclPaths​(org.apache.sling.repoinit.parser.operations.SetAclPaths setAclPaths)`
`void` `visitSetAclPrincipal​(org.apache.sling.repoinit.parser.operations.SetAclPrincipals setAclPrincipals)`
`void` `visitSetAclPrincipalBased​(org.apache.sling.repoinit.parser.operations.SetAclPrincipalBased setAclPrincipalBased)`
`void` `visitSetProperties​(org.apache.sling.repoinit.parser.operations.SetProperties setProperties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoOpVisitor

    public NoOpVisitor()

### Method Detail

#### visitCreateGroup

    public void visitCreateGroup​(org.apache.sling.repoinit.parser.operations.CreateGroup createGroup)

Specified by:
  `visitCreateGroup` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitDeleteGroup

    public void visitDeleteGroup​(org.apache.sling.repoinit.parser.operations.DeleteGroup deleteGroup)

Specified by:
  `visitDeleteGroup` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitCreateUser

    public void visitCreateUser​(org.apache.sling.repoinit.parser.operations.CreateUser createUser)

Specified by:
  `visitCreateUser` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitDeleteUser

    public void visitDeleteUser​(org.apache.sling.repoinit.parser.operations.DeleteUser deleteUser)

Specified by:
  `visitDeleteUser` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitCreateServiceUser

    public void visitCreateServiceUser​(org.apache.sling.repoinit.parser.operations.CreateServiceUser createServiceUser)

Specified by:
  `visitCreateServiceUser` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitDeleteServiceUser

    public void visitDeleteServiceUser​(org.apache.sling.repoinit.parser.operations.DeleteServiceUser deleteServiceUser)

Specified by:
  `visitDeleteServiceUser` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitSetAclPrincipal

    public void visitSetAclPrincipal​(org.apache.sling.repoinit.parser.operations.SetAclPrincipals setAclPrincipals)

Specified by:
  `visitSetAclPrincipal` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitSetAclPaths

    public void visitSetAclPaths​(org.apache.sling.repoinit.parser.operations.SetAclPaths setAclPaths)

Specified by:
  `visitSetAclPaths` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitSetAclPrincipalBased

    public void visitSetAclPrincipalBased​(org.apache.sling.repoinit.parser.operations.SetAclPrincipalBased setAclPrincipalBased)

Specified by:
  `visitSetAclPrincipalBased` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitEnsureAclPrincipalBased

    public void visitEnsureAclPrincipalBased​(org.apache.sling.repoinit.parser.operations.EnsureAclPrincipalBased ensureAclPrincipalBased)

Specified by:
  `visitEnsureAclPrincipalBased` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRemoveAcePrincipal

    public void visitRemoveAcePrincipal​(org.apache.sling.repoinit.parser.operations.RemoveAcePrincipals s)

Specified by:
  `visitRemoveAcePrincipal` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRemoveAcePaths

    public void visitRemoveAcePaths​(org.apache.sling.repoinit.parser.operations.RemoveAcePaths s)

Specified by:
  `visitRemoveAcePaths` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRemoveAcePrincipalBased

    public void visitRemoveAcePrincipalBased​(org.apache.sling.repoinit.parser.operations.RemoveAcePrincipalBased s)

Specified by:
  `visitRemoveAcePrincipalBased` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitCreatePath

    public void visitCreatePath​(org.apache.sling.repoinit.parser.operations.CreatePath createPath)

Specified by:
  `visitCreatePath` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitEnsureNodes

    public void visitEnsureNodes​(org.apache.sling.repoinit.parser.operations.EnsureNodes en)

Specified by:
  `visitEnsureNodes` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRegisterNamespace

    public void visitRegisterNamespace​(org.apache.sling.repoinit.parser.operations.RegisterNamespace registerNamespace)

Specified by:
  `visitRegisterNamespace` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRegisterNodetypes

    public void visitRegisterNodetypes​(org.apache.sling.repoinit.parser.operations.RegisterNodetypes registerNodetypes)

Specified by:
  `visitRegisterNodetypes` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRegisterPrivilege

    public void visitRegisterPrivilege​(org.apache.sling.repoinit.parser.operations.RegisterPrivilege registerPrivilege)

Specified by:
  `visitRegisterPrivilege` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitDisableServiceUser

    public void visitDisableServiceUser​(org.apache.sling.repoinit.parser.operations.DisableServiceUser disableServiceUser)

Specified by:
  `visitDisableServiceUser` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitAddGroupMembers

    public void visitAddGroupMembers​(org.apache.sling.repoinit.parser.operations.AddGroupMembers addGroupMembers)

Specified by:
  `visitAddGroupMembers` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRemoveGroupMembers

    public void visitRemoveGroupMembers​(org.apache.sling.repoinit.parser.operations.RemoveGroupMembers removeGroupMembers)

Specified by:
  `visitRemoveGroupMembers` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitSetProperties

    public void visitSetProperties​(org.apache.sling.repoinit.parser.operations.SetProperties setProperties)

Specified by:
  `visitSetProperties` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitDeleteAclPrincipals

    public void visitDeleteAclPrincipals​(org.apache.sling.repoinit.parser.operations.DeleteAclPrincipals s)

Specified by:
  `visitDeleteAclPrincipals` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitDeleteAclPaths

    public void visitDeleteAclPaths​(org.apache.sling.repoinit.parser.operations.DeleteAclPaths s)

Specified by:
  `visitDeleteAclPaths` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitDeleteAclPrincipalBased

    public void visitDeleteAclPrincipalBased​(org.apache.sling.repoinit.parser.operations.DeleteAclPrincipalBased s)

Specified by:
  `visitDeleteAclPrincipalBased` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitAddMixins

    public void visitAddMixins​(org.apache.sling.repoinit.parser.operations.AddMixins s)

Specified by:
  `visitAddMixins` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`

#### visitRemoveMixins

    public void visitRemoveMixins​(org.apache.sling.repoinit.parser.operations.RemoveMixins s)

Specified by:
  `visitRemoveMixins` in interface `org.apache.sling.repoinit.parser.operations.OperationVisitor`